com.dlsc.flexgantt.swing.util

## Class AbstractSwingWorker

- java.lang.Object
- - com.dlsc.flexgantt.swing.util.AbstractSwingWorker

-     public abstract class AbstractSwingWorker
      extends Object

  This is the 3rd version of AbstractSwingWorker (also known as AbstractSwingWorker 3), an abstract class that you subclass to perform GUI-related work in a dedicated thread. For instructions on using this class, see: http://java.sun.com/docs/books/tutorial/uiswing/misc/threads.html Note that the API changed slightly in the 3rd version: You must now invoke start() on the AbstractSwingWorker after creating it.
  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSwingWorker()` Start a thread that will call the `construct` method and then exit.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Object` | `construct()` Compute the value to be returned by the `get` method.
    `void` | `finished()` Called on the event dispatching thread (not on the worker thread) after the `construct` method has returned.
    `Object` | `get()` Return the value created by the `construct` method.
    `protected Object` | `getValue()` Get the value produced by the worker thread, or null if it hasn't been constructed yet.
    `void` | `interrupt()` A new method that interrupts the worker thread.
    `void` | `start()` Start the worker thread.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSwingWorker

          public AbstractSwingWorker()

      Start a thread that will call the `construct` method and then exit.
      Since:
        1.0

  - ### Method Detail

    - #### getValue

          protected Object getValue()

      Get the value produced by the worker thread, or null if it hasn't been constructed yet.
      Returns:
        the value produced by the worker thread
      Since:
        1.0

    - #### construct

          public abstract Object construct()

      Compute the value to be returned by the `get` method.
      Returns:
        the value to be returned by the worker thread
      Since:
        1.0

    - #### finished

          public void finished()

      Called on the event dispatching thread (not on the worker thread) after the `construct` method has returned.
      Since:
        1.0

    - #### interrupt

          public void interrupt()

      A new method that interrupts the worker thread. Call this method to force the worker to stop what it's doing.
      Since:
        1.0

    - #### get

          public Object get()

      Return the value created by the `construct` method. Returns null if either the constructing thread or the current thread was interrupted before a value was produced.
      Returns:
        the value created by the `construct` method
      Since:
        1.0

    - #### start

          public void start()

      Start the worker thread.
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.